#****************************************************************************
#**
#**  File     :  /data/units/XSL0105/XSL0105_script.lua
#**  Author(s):  Jessica St. Croix, Gordon Duclos
#**
#**  Summary  :  Seraphim T1 Engineer Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local SAAShleoCannonWeapon = import('/lua/seraphimweapons.lua').SAAShleoCannonWeapon
local SConstructionUnit = import('/lua/seraphimunits.lua').SConstructionUnit
local SIFThunthoCannonWeapon = import('/lua/seraphimweapons.lua').SIFThunthoCannonWeapon

SMP0011 = Class(SConstructionUnit) {
    Weapons = {
        MainGun = Class(SIFThunthoCannonWeapon) {},
        AAGun = Class(SAAShleoCannonWeapon) {},
    },
}

TypeClass = SMP0011