#****************************************************************************
#**
#**  File     :  /data/units/XEL0306/XEL0306_script.lua
#**  Author(s):  Jessica St. Croix, Dru Staltman
#**
#**  Summary  :  UEF Mobile Missile Platform Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local WeaponsFile = import('/lua/terranweapons.lua')
local TDFHiroPlasmaCannon = WeaponsFile.TDFHiroPlasmaCannon
local TAALinkedRailgun = import('/lua/terranweapons.lua').TAALinkedRailgun

XEL0306 = Class(TLandUnit) {
    Weapons = {
        HiroCannonFront = Class(TDFHiroPlasmaCannon) {},
        HiroCannonBack = Class(TDFHiroPlasmaCannon) {},
		AAGun = Class(TAALinkedRailgun) {
            FxMuzzleFlashScale = 0.25,
		},
	},
}

TypeClass = XEL0306