#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0303/UAA0303_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Air Superiority Fighter Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local AIFMissileTacticalSerpentineWeapon = import('/lua/aeonweapons.lua').AIFMissileTacticalSerpentineWeapon
local AAASonicPulseBatteryWeapon = import('/lua/aeonweapons.lua').AAASonicPulseBatteryWeapon

SMP0043 = Class(AAirUnit) {
    Weapons = {
        AAGun = Class(AAASonicPulseBatteryWeapon) {},
        MissileRack = Class(AIFMissileTacticalSerpentineWeapon) {},
		MissileRack2 = Class(AIFMissileTacticalSerpentineWeapon) {},
    },
}

TypeClass = SMP0043