#****************************************************************************
#**
#**  File     :  /cdimage/units/UAB0101/UAB0101_script.lua
#**  Author(s):  David Tomandl, Gordon Duclos
#**
#**  Summary  :  Aeon Land Factory Tier 1 Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ALandFactoryUnit = import('/lua/aeonunits.lua').ALandFactoryUnit

SMP0065 = Class(ALandFactoryUnit) {

    OnStopBeingBuilt = function(self, builder, layer)
        ALandFactoryUnit.OnStopBeingBuilt(self, builder, layer)
        self.RingManip = CreateRotator(self, 'giro1', 'y', nil, 0, 800, -30)
        self.Trash:Add(self.RingManip)
        self.RingManip2 = CreateRotator(self, 'giro2', 'y', nil, 0, 800, 30)
        self.Trash:Add(self.RingManip2)
        self.RingManip3 = CreateRotator(self, 'giro3', 'y', nil, 0, 800, 30)
        self.Trash:Add(self.RingManip3)
    end,

}

TypeClass = SMP0065