#****************************************************************************
#**
#**  File     :  /cdimage/units/XSL0205/XSL0205_script.lua
#**  Author(s):  Aaron Lundquist
#**
#**  Summary  :  Seraphim Iashavoh Mobile Anit-Air Cannon
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SLandUnit = import('/lua/seraphimunits.lua').SLandUnit
local SAAOlarisCannonWeapon = import('/lua/seraphimweapons.lua').SAAOlarisCannonWeapon
local SDFThauCannon = import('/lua/seraphimweapons.lua').SDFThauCannon

SMPA0059 = Class(SLandUnit) {
    Weapons = {
        AAGun = Class(SAAOlarisCannonWeapon) {},
        TauCannon01 = Class(SDFThauCannon){
			FxMuzzleFlashScale = 0.5,
        },
    },

    OnStopBeingBuilt = function(self, builder, layer)
        SLandUnit.OnStopBeingBuilt(self, builder, layer)
        self.RingManip = CreateRotator(self, 'GIRO', 'y', nil, 0, 20, -30)
        self.Trash:Add(self.RingManip)
    end,

}
TypeClass = SMPA0059