#****************************************************************************
#**
#**  File     :  /data/units/XSL0201/XSL0201_script.lua
#**  Author(s):  Jessica St. Croix, Greg Kohne, Aaron Lundquist
#**
#**  Summary  :  Seraphim Medium Tank Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SLandUnit = import('/lua/seraphimunits.lua').SLandUnit
local SIFThunthoCannonWeapon = import('/lua/seraphimweapons.lua').SIFThunthoCannonWeapon
local SDFThauCannon = import('/lua/seraphimweapons.lua').SDFThauCannon

SMPA0060 = Class(SLandUnit) {
    Weapons = {
        MainGun = Class(SIFThunthoCannonWeapon) {},
        TauCannon01 = Class(SDFThauCannon){
			FxMuzzleFlashScale = 0.5,
        },
    },

    OnStopBeingBuilt = function(self, builder, layer)
        SLandUnit.OnStopBeingBuilt(self, builder, layer)
        self.RingManip = CreateRotator(self, 'Box01', 'y', nil, 0, 800, -30)
        self.Trash:Add(self.RingManip)
    end,

}
TypeClass = SMPA0060
