#****************************************************************************
#**
#**  File     :  /cdimage/units/MEF001/UEL0202_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UEF Heavy Tank Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local TerranWeaponFile = import('/lua/terranweapons.lua')
local TWeapons = import('/lua/terranweapons.lua')
local TOrbitalDeathLaserBeamWeapon = TWeapons.TOrbitalDeathLaserBeamWeapon
local TDFHeavyPlasmaCannonWeapon = TerranWeaponFile.TDFHeavyPlasmaCannonWeapon

SMP0013 = Class(TLandUnit) {

    Weapons = {
        OrbitalDeathLaserWeapon = Class(TOrbitalDeathLaserBeamWeapon){},
        HeavyPlasma01 = Class(TDFHeavyPlasmaCannonWeapon) {},
		HeavyPlasma02 = Class(TDFHeavyPlasmaCannonWeapon) {},
    },
}

TypeClass = SMP0013